org.keycloak.authentication.authenticators.conditional

## Interface ConditionalAuthenticatorFactory

- All Superinterfaces:
    AuthenticatorFactory, ConfigurableAuthenticatorFactory, ConfiguredProvider, DisplayTypeAuthenticatorFactory, ProviderFactory<Authenticator>
  All Known Implementing Classes:
    ConditionalRoleAuthenticatorFactory, ConditionalUserConfiguredAuthenticatorFactory

      public interface ConditionalAuthenticatorFactory
      extends AuthenticatorFactory, DisplayTypeAuthenticatorFactory

- - ### Field Summary

    - ### Fields inherited from interface org.keycloak.authentication.ConfigurableAuthenticatorFactory

      `REQUIREMENT_CHOICES`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default Authenticator` | `create(KeycloakSession session)`
    `default Authenticator` | `createDisplay(KeycloakSession session, String displayType)`
    `ConditionalAuthenticator` | `getSingleton()`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `close, getId, init, order, postInit`

    - ### Methods inherited from interface org.keycloak.authentication.ConfigurableAuthenticatorFactory

      `getDisplayType, getReferenceCategory, getRequirementChoices, isConfigurable, isUserSetupAllowed`

    - ### Methods inherited from interface org.keycloak.provider.ConfiguredProvider

      `getConfigProperties, getHelpText`

- - ### Method Detail

    - #### create

          default Authenticator create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<Authenticator>`

    - #### createDisplay

          default Authenticator createDisplay(KeycloakSession session,
                                              String displayType)

      Specified by:
        `createDisplay` in interface `DisplayTypeAuthenticatorFactory`
        `displayType` - i.e. "console", "wap", "popup" are examples
      Returns:
        null if display type isn't support.

    - #### getSingleton

          ConditionalAuthenticator getSingleton()

Copyright © 2020 JBoss by Red Hat. All rights reserved.